Package org.eclipse.rdf4j.repository

## Class RepositoryTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.RepositoryTest

-     public abstract class RepositoryTest
      extends Object

  Integration test suite for implementations of Repository.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Resource` | `alexander` |
    `protected Resource` | `alice` |
    `protected Resource` | `bob` |
    `protected IRI` | `context1` |
    `protected IRI` | `context2` |
    `protected static String` | `FOAF_NS` |
    `protected IRI` | `mbox` |
    `protected Literal` | `mboxAlice` |
    `protected Literal` | `mboxBob` |
    `protected IRI` | `name` |
    `protected Literal` | `nameAlice` |
    `protected Literal` | `nameBob` |
    `protected IRI` | `publisher` |
    `static String` | `TEST_DIR_PREFIX` |
    `protected Repository` | `testRepository` |
    `org.junit.rules.Timeout` | `to` | Timeout all individual tests after 1 minute.
    `protected IRI` | `unknownContext` |
    `protected ValueFactory` | `vf` |
    `protected Literal` | `Александър` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract Repository` | `createRepository()` | Gets an (uninitialized) instance of the repository that should be tested.
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testAutoInit()` |
    `void` | `testShutdownFollowedByInit()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### to

          public org.junit.rules.Timeout to

      Timeout all individual tests after 1 minute.

    - #### FOAF_NS

          protected static final String FOAF_NS

      See Also:
        Constant Field Values

    - #### TEST_DIR_PREFIX

          public static final String TEST_DIR_PREFIX

      See Also:
        Constant Field Values

    - #### testRepository

          protected Repository testRepository

    - #### vf

          protected ValueFactory vf

    - #### bob

          protected Resource bob

    - #### alice

          protected Resource alice

    - #### alexander

          protected Resource alexander

    - #### name

          protected IRI name

    - #### mbox

          protected IRI mbox

    - #### publisher

          protected final IRI publisher

    - #### unknownContext

          protected IRI unknownContext

    - #### context1

          protected IRI context1

    - #### context2

          protected IRI context2

    - #### nameAlice

          protected Literal nameAlice

    - #### nameBob

          protected Literal nameBob

    - #### mboxAlice

          protected Literal mboxAlice

    - #### mboxBob

          protected Literal mboxBob

    - #### Александър

          protected Literal Александър

  - ### Constructor Detail

    - #### RepositoryTest

          public RepositoryTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected abstract Repository createRepository()
                                                  throws Exception

      Gets an (uninitialized) instance of the repository that should be tested.
      Returns:
        an uninitialized repository.
      Throws:
        `Exception`

    - #### testShutdownFollowedByInit

          public void testShutdownFollowedByInit()
                                          throws Exception

      Throws:
        `Exception`

    - #### testAutoInit

          public void testAutoInit()
                            throws Exception

      Throws:
        `Exception`